.block-proces .section__mini {
    color: white;
}

.proces-grid.block-proces__grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 50px;
}
.proces-item {
    padding: 20px;
    display: block;
    position: relative;
    background: var(--shadow);
    overflow: hidden;
    border-radius: 20px;
    text-decoration: none;
    height: 100%;
}

.proces-item__media-wrap {
    position: relative;
    z-index: 1;
}
.proces-item__icons {
    display: flex;
    padding: 10px;
    border-radius: 200px;
    background: white;
}
.proces-item__title {
    font-size: var(--font-size-h4);
    font-weight: 600;
    color: var(--blue);
}
.proces-item__desc {
    color: var(--blue);
}
.proces-item__content {
    display: flex;
    height: 100%;
    flex-direction: column;
    gap: 30px;
    align-items: start;
    justify-content: space-between;
}

.proces-item__media {
    position: absolute;
    display: flex;
    width: 200px;
    height: calc(100% + 40px);
    top: -20px;
    bottom: -20px;
    border-radius: 20px 0 0 20px;
    border: 2px solid var(--color);
    left: -220px;
}
.proces-item__media img, .proces-item__media video {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.proces-grid__col:hover .proces-item--has-media .proces-item__media  {
    left: -16px;
    transition-duration: 0.3s;
}
.proces-grid__col:hover .proces-item--has-media .proces-item__media-wrap {
    padding-left: 200px;
    transition-duration: 0.3s;
}
.proces-grid__col:hover .proces-item {
    background-color: var(--blue);
    transition-duration: 0.3s;
}
.proces-grid__col:hover .proces-item .proces-item__title,
.proces-grid__col:hover .proces-item .proces-item__desc {
    color: white;
    transition-duration: 0.3s;
}

.proces-grid__col:hover .proces-item .mask-icon--accent {
    background-color: #12508D;
}
.icon-button-wrapper {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
}
.proces__tekst {
    margin-bottom: 30px;
    max-width: 1000px;
    color: var(--blue);
}


@media screen and (max-width: 900px){
    .proces-grid.block-proces__grid {
        grid-template-columns: 1fr;
        gap: 30px;
    }
}
.block__container.block-container-proces > svg {
    position: absolute;
    top: -50px;
    right: -50px;
}
.block__container.block-container-proces {
    position: relative;
    overflow: hidden;
}


.block-proces > svg {
    position: absolute;
    top: 30%;
    left: 0;
    width: 100%;
    height: auto;
}
.block-proces {
    position: relative;
}
.proces-card {
    background: white;
    border-radius: 20px;
    padding: 20px;
}
.wypelnione-swiper {
    width: 100%;
}
.proces-tax {
    display: flex;
    align-items: center;
    gap: 10px;
}
.tax-icon-wrapper {
    padding: 10px;
    border-radius: 100%;
    background: var(--shadow);
}
.proces-tax__name {
    font-size: var(--font-size-normal);
    color: black;
}
h3.proces-item__title {
    margin-top: 20px;
    color: black;
    font-size: var(--font-size-h4);
}

@media screen and (max-width: 786px){
    .proces-meta-row {
        flex-direction: column;
        align-items: flex-start;
        gap: 10px !important;
    }
    .proces-czas {
        width: calc(100% - 0px);
        padding: 0 !important;
        background-color: transparent;
        border-radius: 0;
    }
    .proces-oszcz {
        padding: 10px 0;
        width: calc(100% - 0px);
    }
    ul.proces-wymagania li {
        padding: 5px 10px;
    }
    .czas-value, .oszcz-value {
        font-size: var(--font-size-h4) !important;
        font-weight: 500;
    }
}

.czas-value, .oszcz-value {
    font-size: var(--font-size-h6);
    font-weight: 500;
}
.proces-meta-row {
    display: flex;
    gap: 20px;
    align-items: center;
    width: 100%;
    flex-wrap: wrap;
}
.oszcz-value {
    position: relative;
    width: fit-content;
}
.oszcz-value > svg {
    position: absolute;
    top:90%;
    z-index: 0;
    width: 100%;
    height: auto;
}
.oszcz-value >span {
    position: relative;
    z-index: 1;
}
.swiper-wrapper {
    align-items: stretch;
}
.swiper-wrapper .swiper-slide {
    height: auto;
}
.proces-card {
    height: calc(100% - 40px);
}
.proces-card {
    display: flex;
    flex-direction: column;
    justify-content: start;
}
.proces-swiper-wrapper {
    width: 100%;
}
.proces-card__index {
    height: 40px;
    width: 40px;
    border-radius: 100px;
    background: var(--shadow);
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: var(--font-size-h3);
    padding: 0;
    margin-bottom: 0;
    font-weight: 600;
    flex: none;
    color: var(--color);
}
.indextext-wrapper {
    display: flex;
    align-items: center;
    gap: 10px;
    margin-bottom: 30px;
}
.proces-card__title {
    padding: 0;
    font-size: var(--font-size-h5);
}



@media screen and (max-width: 786px){
    .indextext-wrapper {
        display: flex;
        align-items: start;
        gap: 10px;
        margin-bottom: 30px;
        flex-direction: column;
    }
}
.buttons-and-swiper-buttons {
    margin-top: 10px;
}